Last Comment Bug 729948 - HTML Desktop Notifications 1.0.6 causes immortal content page zombie compartments
: HTML Desktop Notifications 1.0.6 causes immortal content page zombie compartm...
Status: RESOLVED FIXED
[MemShrink]
:
Product: Core
Classification: Components
Component: General (show other bugs)
: unspecified
: All All
: -- normal (vote)
: ---
Assigned To: Nobody; OK to take it and work on it
:
:
Mentors:
https://addons.mozilla.org/en-US/fire...
Depends on:
Blocks: LeakyAddons ZombieCompartments
  Show dependency treegraph
 
Reported: 2012-02-23 07:49 PST by Nils Maier [:nmaier]
Modified: 2012-03-08 16:00 PST (History)
4 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments

Description Nils Maier [:nmaier] 2012-02-23 07:49:45 PST
Regular restart-required addon, implementing the Web Notifications API

STR:
- Open some web notification website, e.g.
http://www.thecssninja.com/demo/web_notifications/
or http://code.google.com/p/ff-html5notifications/
- Click the corresponding button/link to make the notification approval bar appear and allow the notifications
- Click the corresponding button/link to make the notification appear, if this is a distinct step
- Close the corresponding tab
- about:memory?verbose + Minimize memory usage
-> One content page compartment per notification site stays behind

Author CC'ed.
Comment 1 Nils Maier [:nmaier] 2012-02-25 03:59:06 PST
Cyril fixed this version 1.0.7 which I just fully reviewed.
Comment 2 Nils Maier [:nmaier] 2012-02-25 04:01:28 PST
The add-on kept some references to the window and similar for each notification around. The fix was to add an unload event listener to clear that stuff again.

Note You need to log in before you can comment on or make changes to this bug.